"{ Package: 'jv:calipel/s' }"

"{ NameSpace: Smalltalk }"

Object subclass:#BenchmarkMeasurement
	instanceVariableNames:'value instrument'
	classVariableNames:''
	poolDictionaries:''
	category:'CalipeL-S-Core-Measurement'
!

!BenchmarkMeasurement class methodsFor:'documentation'!

documentation
"
    BenchmarkMeasurement is a simple value object that keeps a value
    measured by some intrument

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]
        BenchmarkMeasurementInstrument

"
! !

!BenchmarkMeasurement class methodsFor:'instance creation'!

instrument: instrumentArg value: valueArg
    ^ self new instrument: instrumentArg value: valueArg

    "Created: / 24-11-2014 / 07:15:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkMeasurement methodsFor:'accessing'!

instrument
    ^ instrument
!

value
    ^ value
! !

!BenchmarkMeasurement methodsFor:'initialization'!

instrument: instrumentArg value: valueArg
    instrument := instrumentArg.
    value := valueArg

    "Created: / 24-11-2014 / 07:06:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

