class ChosenHandler
  config:
    allow_single_deselect: true
    inherit_select_classes: true
    display_selected_options: false
    width: "100%"

  constructor: (elem)->
    @$elem = $(elem)
    @initOnElem()

  initOnElem: =>
    threshold = @$elem.data("search-threshold")
    @config.disable_search_threshold =
      if (threshold == undefined) then 10 else threshold

    @$elem.chosen(@config).change =>
      @$elem.trigger("chosen:changed")

Handlers.register "chosen", ChosenHandler
